> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1short links



## OpenAPI

````yaml /api-reference/openapi.json post /v1/short-links
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/short-links:
    post:
      tags:
        - ShortLinks
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShortLinksShortLinkCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ShortLinksShortLinkCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ShortLinksShortLinkCreateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    ShortLinksShortLinkCreateRequest:
      type: object
      properties:
        shortCode:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        utmSource:
          type: string
          nullable: true
        utmMedium:
          type: string
          nullable: true
        utmCampaign:
          type: string
          nullable: true
        utmTerm:
          type: string
          nullable: true
        utmContent:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
      additionalProperties: false

````